Package org.eclipse.microprofile.config.tck.converters

# Class UpperCaseDuckConverter

java.lang.Object
org.eclipse.microprofile.config.tck.converters.UpperCaseDuckConverter

All Implemented Interfaces:
  `Serializable`, `Converter<Duck>`

@Priority(101) public class UpperCaseDuckConverter extends Object implements Converter<Duck>
Always create a duck with an upper case name

Author:
  Jeff Mesnil
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UpperCaseDuckConverter()`

## Method Summary

Modifier and Type
Method
Description
`Duck`
`convert(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpperCaseDuckConverter

public UpperCaseDuckConverter()

## Method Details

### convert

public Duck convert(String value)

Specified by:
  `convert` in interface `Converter<Duck>`